IMG_SaveWEBP(3)

NAME
IMG_SaveWEBP - Save an SDL_Surface into a WEBP image file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveWEBP(SDL_Surface *surface, const char *file, float quality);

DESCRIPTION
If the file already exists, it will be overwritten.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

file
    path on the filesystem to write the new file to.

quality
    between 0 and 100. For lossy, 0 gives the smallest size and 100 the largest. For lossless, this parameter is the amount of effort put into the compression: 0 is the fastest but gives larger files compared to the slowest, but best, 100.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_SaveWEBP_IO(3)